Bug 1523786 - Split-brain on the grafana dashboard should be handled properly.
Summary: Split-brain on the grafana dashboard should be handled properly.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-monitoring-integration
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Shubhendu Tripathi
QA Contact: Lubos Trilety
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-08 17:55 UTC by Bala Konda Reddy M
Modified: 2017-12-18 04:38 UTC (History)
9 users (show)

Fixed In Version: tendrl-node-agent-1.5.4-15.el7rhgs.noarch tendrl-monitoring-integration-1.5.4-14.el7rhgs.noarch
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-18 04:38:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:3478 normal SHIPPED_LIVE RHGS Web Administration packages 2017-12-18 09:34:49 UTC
Red Hat Bugzilla 1519742 None None None Never

Internal Links: 1519742

Comment 3 Lubos Trilety 2017-12-11 09:40:59 UTC
Tested with:
tendrl-monitoring-integration-1.5.4-14.el7rhgs.noarch
tendrl-node-agent-1.5.4-15.el7rhgs.noarch

The healing status is displayed on Grafana per brick level.

However I am not sure if 'Split Brain' should be part of 'Pending Heal' number. In other words, there could be not zero 'Pending Heal' with zero 'Split Brain', but it could never happen not zero 'Split Brain' with zero 'Pending Heal'. From certain point of view it makes sense and so I am just wondering if it's wanted.

Comment 4 Shubhendu Tripathi 2017-12-11 09:44:38 UTC
Lubos,

This is exactly the same values which are displayed as gluster CLI output for the commands. We did the same as per recommendations from gluster team.

Comment 5 Lubos Trilety 2017-12-11 12:35:10 UTC
(In reply to Shubhendu Tripathi from comment #4)
> Lubos,
> 
> This is exactly the same values which are displayed as gluster CLI output
> for the commands. We did the same as per recommendations from gluster team.

OK, that said moving to VERIFIED.

Comment 7 errata-xmlrpc 2017-12-18 04:38:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:3478


Note You need to log in before you can comment on or make changes to this bug.